[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TCustomControl.SetColor

Sets the value for the Color property

## Declaration

Source position: controls.pp line 2478

`protected procedure TCustomControl.SetColor(`
`Value: TColor`
`); override;`

## Arguments

`Value` |  | New value for the Color property.

## Description

SetColor is an overridden method in TCustomControl used to set the value in the Color property. It calls the inherited method on entry, and applies the new color value to the Brush in the control Canvas.

## See also

TControl.Color |  | The background color for the control.
TWinControl.SetColor |  | Sets the value for the Color property.